{
  "name": "react-webpack-typescript-starter",
  "version": "0.1.0",
  "description": "Starter kit for React, Webpack (with Hot Module Replacement), Typescript and Babel.",
  "keywords": [
    "react",
    "webpack",
    "typescript",
    "babel",
    "sass",
    "hmr",
    "starter",
    "boilerplate"
  ],
  "author": "Viktor Persson",
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/vikpe/react-webpack-typescript-starter.git"
  },
  "bugs": {
    "url": "https://github.com/vikpe/react-webpack-typescript-starter/issues"
  },
  "homepage": "https://github.com/vikpe/react-webpack-typescript-starter",
  "scripts": {
    "build": "yarn run clean-dist && webpack -p --config=configs/webpack/prod.js",
    "clean-dist": "rimraf dist/*",
    "lint": "eslint './src/**/*.{js,ts,tsx}' --quiet",
    "start": "yarn run start-dev",
    "start-dev": "webpack-dev-server --config=configs/webpack/dev.js",
    "start-prod": "yarn run build && node express.js",
    "test": "jest --coverage --watchAll --config=configs/jest.json"
  },
  "devDependencies": {
    "@babel/cli": "^7.10.5",
    "@babel/core": "^7.10.5",
    "@babel/preset-env": "^7.10.4",
    "@babel/preset-react": "^7.10.4",
    "@types/jest": "^26.0.5",
    "@types/node": "^14.0.23",
    "@types/react": "^16.9.43",
    "@types/react-dom": "^16.9.8",
    "@typescript-eslint/eslint-plugin": "^3.6.1",
    "@typescript-eslint/parser": "^3.6.1",
    "awesome-typescript-loader": "^5.2.1",
    "babel-loader": "^8.1.0",
    "css-loader": "^4.2.0",
    "eslint": "^7.5.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-prettier": "^3.1.4",
    "eslint-plugin-react": "^7.20.3",
    "express": "^4.17.1",
    "file-loader": "^6.0.0",
    "html-webpack-plugin": "^4.3.0",
    "image-webpack-loader": "^6.0.0",
    "jest": "^26.1.0",
    "node-sass": "^4.14.1",
    "prettier": "^2.0.5",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-hot-loader": "^4.12.21",
    "rimraf": "^3.0.2",
    "sass-loader": "^9.0.2",
    "source-map-loader": "^1.0.1",
    "style-loader": "^1.2.1",
    "typescript": "^3.9.7",
    "webpack": "^4.43.0",
    "webpack-cli": "^3.3.12",
    "webpack-dev-middleware": "^3.7.2",
    "webpack-dev-server": "^3.11.0",
    "webpack-merge": "^5.0.9"
  },
  "dependencies": {}
}
